Bug 1419016 - Registration with auto-attach enabled activationkey fails against "autobindDisabled" owner
Summary: Registration with auto-attach enabled activationkey fails against "autobindDi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 2.0
Assignee: Michael Stead
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: 1487374 1487375
TreeView+ depends on / blocked
 
Reported: 2017-02-03 12:34 UTC by Rehana
Modified: 2017-10-11 19:14 UTC (History)
5 users (show)

Fixed In Version: candlepin-2.0.41-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1487374 1487375 (view as bug list)
Environment:
Last Closed: 2017-10-11 19:14:07 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github candlepin candlepin pull 1707 0 'None' closed 1419016: Fix registration issue when owner's autobind is disabled. 2020-10-02 14:25:41 UTC

Description Rehana 2017-02-03 12:34:38 UTC
Description of problem:


Version-Release number of selected component (if applicable):
subscription management server: 2.0.21-1
subscription management rules: 5.20
subscription-manager: 1.18.8-1.el6
python-rhsm: 1.18.6-1.el6


How reproducible:
3/3

Steps to Reproduce:
1.set autobinddisabled to "true" for owner admin
2.Create two activationkeys say actkey1 with "auto-attach" enabled and actkey2 with "auto-attach" disabled
3.try to register using both keys
# subscription-manager register --activationkey=actkey1 --org=admin --activationkey=actkey2

Actual results:
registration failed with message "Could not register unit with key enabling auto-attach. Auto-attach is disabled for org 'admin'."

Expected results:
if any of the key is passed then the user should be able to register the client successfully 

Additional info:
providing links to some old discussion about activationkey rules for reference : http://post-office.corp.redhat.com/archives/chainsaw/2014-November/msg00199.html

recent bug comment : https://bugzilla.redhat.com/show_bug.cgi?id=1383927#c1


Note You need to log in before you can comment on or make changes to this bug.